Bug 387801 - pirut crash when run as non-root, after package selection
pirut crash when run as non-root, after package selection
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-16 17:46 EST by Stephen Warren
Modified: 2007-12-31 09:52 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-31 09:52:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Warren 2007-11-16 17:46:19 EST
Description of problem:
Pirut crashes when run as a non-root user due to permission denied exception.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run pirut as a non-root user
2. Select some package to add
3. Start the install process
4. Crash
Actual results:

Expected results:
Some kind of error message when starting pirut as non-root, or use the helper
GUI to elevate to root like other apps do.

Additional info:
By the way, does Pirut show up in the Gnome menus? I couldn't find it anywhere,
so launched it from a terminal window.

I can add a backtrace if you need; it'll be a while since pirut's running (as
root!) right now...
Comment 1 Jeremy Katz 2007-11-19 11:12:20 EST
Whoops, I had commented out the check for running as root to do some testing. 
It's not quite ready to run in that mode yet, though.  Running /usr/bin/pirut,
though, should invoke consolehelper to run it as root

Also, it's "Add/Remove Software" in the menus.
Comment 2 Stephen Warren 2007-11-19 12:02:38 EST
Ah. I had uncommented the code in /etc/profile that adds /*/sbin into my PATH
for non-root users, because it was annoying not having those PATH entries e.g.
for ifconfig. This explains why /usr/sbin/pirut ran instead of /usr/bin/pirut.
Comment 3 Jeremy Katz 2007-12-31 09:52:01 EST
New versions of pirut have been released that should address these issues

Note You need to log in before you can comment on or make changes to this bug.